{% load static %}

<!DOCTYPE html>
<html>
    <head>
        <title>My Travel Blog Posts</title>
        <link rel="stylesheet" href="{% static "blog.css" %}">
    </head>

    <body>
        <header>
            <div>My Posts</div>
            <nav>
                <a href="{% url "create_post" %}">Create a Post</a>
            </nav>
        </header>
        
        <main>
            <img src ="https://images.unsplash.com/photo-1609924211018-5526c55bad5b?ixlib=rb-1.2.1
            &ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=687&q=80" class = "images">
        {% for post in posts %}
            <div>
                <h2 class="post-title">
                    {% comment %} pass post.id with URL since it's part 
                    of mapped path from urls.py {% endcomment %}
                    <a href="{% url "post_detail" post.id %}">{{ post.title }}</a>
                </h2>
            </div>
        {% endfor %}
        </main>

        <footer>
            <div>Copyright 2022 by Nikansha</div>
        </footer>

    </body>

</html>